QGIS Application - Bug report #14351
composer: legend item count for layers with @atlas_ variables always return 0
2016-02-22 12:34 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22336

Description

Legend items of rule-based layers featuring an expression containing @atlas_{feature,featureid,pagename,etc.} variable(s) will result in a
feature count of 0 in the composer legend item (will also return 0 for the main canvas' layer items when the atlas is activated). I'm
wondering whether this has to do with the atlas variables context not added to layer nodes, thus coming to a feature count of 0.

I've attached a test project that shows this issue quite well.
Steps to reproduce
1. Open the test project (atlas_count)
2. Open the "Composer 1" composer sheet, and activate the atlas
3. Move between features, and notice the composer item on the sheet shows [0] count even though the layer rule is valid and triggers

several features (positive match visible through symbology)

History

#1 - 2016-02-22 12:35 AM - Mathieu Pellerin - nIRV
- File atlas_count.zip added

#2 - 2016-02-22 04:58 PM - Nyall Dawson

- Priority changed from Severe/Regression to Normal

- Assignee deleted (Nyall Dawson)

I've tested against 2.8. This isn't a regression.

#3 - 2016-02-22 05:21 PM - Mathieu Pellerin - nIRV
- Subject changed from regression: composer legend item count for layers with @atlas_ variables always return 0 to composer: legend item count for
layers with @atlas_ variables always return 0

Thanks for testing Nyall, sorry for the noise on this being a regression.

#4 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files

atlas_count.zip 9.18 KB
